Skip to main content
GET
/
api
/
v1
/
members
/
{userId}
/
payout-accounts
List member payout accounts
curl --request GET \
  --url https://app.mlm-platform.com/api/v1/members/{userId}/payout-accounts \
  --header 'x-tenant-api-key: <api-key>'
{
  "accounts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "methodType": "<string>",
      "category": "<string>",
      "displayName": "<string>",
      "countryCode": "<string>",
      "currency": "<string>",
      "providerType": "<string>",
      "isPrimary": true,
      "isActive": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-tenant-api-key
string
header
required

Tenant API key for authentication. Keys are scoped to specific environments (LIVE or SANDBOX). Obtain keys from the admin dashboard.

Path Parameters

userId
string<uuid>
required

Response

Payout accounts

accounts
object[]